# Jamendo OBS Player
This is a tiny little player for jamendo.com music, with display on OBS

## Installation
As this project uses pipenv, you should install pipenv

### Fedora
```bash
sudo dnf install pipenv
```

### Ubuntu
```bash
sudo apt install pipenv
```

Now inside the project directory install the pip environment:
```bash
pipenv install
```

## Usage
To run the player, just use pipenv run command to run jamendo_obs.py:
```bash
pipenv run ./jamendo_obs.py chillhop
```

You can use the ```--offset``` option to start the player with an initial offset

To skip a title, send USR1 signal to the player process (you can use this command for a hotkey):
```bash
pkill -USR1 -f jamendo_obs.py
```

### OBS Studio
Just add a Picture object and choose the OutputPath from the ini file